# FFmpegKit Linux API: ffmpegkit::Packages Class Reference

Loading...
Searching...
No Matches
ffmpegkit::Packages Class Reference

`#include <Packages.h>`

## Static Public Member Functions

static std::string | getPackageName ()
static std::shared_ptr< std::set< std::string > > | getExternalLibraries ()

## Detailed Description

Helper class to extract binary package information.

Definition at line 33 of file Packages.h.

## Member Function Documentation

## getExternalLibraries()

std::shared_ptr< std::set< std::string > > ffmpegkit::Packages::getExternalLibraries | ( |  | ) |

static

Returns enabled external libraries by FFmpeg.

Returns
  enabled external libraries

Definition at line 200 of file Packages.cpp.

## getPackageName()

std::string ffmpegkit::Packages::getPackageName | ( |  | ) |

static

Returns the FFmpegKit binary package name.

Returns
  predicted FFmpegKit binary package name

Definition at line 25 of file Packages.cpp.

The documentation for this class was generated from the following files:

- Packages.h
- Packages.cpp